package com.ss.android.ugc.aweme.feed.model.live;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.io.Serializable;
import java.util.List;

public class LiveCoreSDKData implements Serializable {
    @c(LIZ = "pull_data")
    public PullData pullData;

    static {
        Covode.recordClassIndex(79037);
    }

    public static class Options implements Serializable {
        @c(LIZ = "default_preview_quality")
        public Quality defaultPreviewQuality;
        @c(LIZ = "default_quality")
        public Quality defaultQuality;
        @c(LIZ = "qualities")
        public List<Quality> qualityList;

        static {
            Covode.recordClassIndex(79038);
        }

        public Quality getDefaultQuality() {
            return this.defaultQuality;
        }

        public List<Quality> getQualityList() {
            return this.qualityList;
        }

        public String toString() {
            return "Options{defaultQuality=" + this.defaultQuality + ", qualityList=" + this.qualityList + '}';
        }

        public void setDefaultQuality(Quality quality) {
            this.defaultQuality = quality;
        }

        public void setQualityList(List<Quality> list) {
            this.qualityList = list;
        }
    }

    public static class PullData implements Serializable {
        @c(LIZ = "options")
        public Options options;
        @c(LIZ = "stream_data")
        public String streamData;

        static {
            Covode.recordClassIndex(79039);
        }

        public Options getOptions() {
            return this.options;
        }

        public String getStreamData() {
            return this.streamData;
        }

        public String toString() {
            return "PullData{options=" + this.options + ", streamData='" + this.streamData + '\'' + '}';
        }

        public void setOptions(Options options2) {
            this.options = options2;
        }

        public void setStreamData(String str) {
            this.streamData = str;
        }
    }

    public PullData getPullData() {
        return this.pullData;
    }

    public Quality getDefaultPreviewQuality() {
        PullData pullData2 = this.pullData;
        if (pullData2 == null || pullData2.getOptions() == null) {
            return null;
        }
        return this.pullData.getOptions().defaultPreviewQuality;
    }

    public Quality getDefaultQuality() {
        PullData pullData2 = this.pullData;
        if (pullData2 == null || pullData2.getOptions() == null) {
            return null;
        }
        return this.pullData.getOptions().defaultQuality;
    }

    public List<Quality> getQualityList() {
        PullData pullData2 = this.pullData;
        if (pullData2 == null || pullData2.getOptions() == null) {
            return null;
        }
        return this.pullData.getOptions().getQualityList();
    }

    public String toString() {
        return "LiveCoreSDKData{pullData=" + this.pullData + '}';
    }

    public static class Quality implements Serializable {
        @c(LIZ = "name")
        public String name;
        @c(LIZ = "sdk_key")
        public String sdkKey;

        static {
            Covode.recordClassIndex(79040);
        }

        public String toString() {
            return "Quality{name='" + this.name + '\'' + ", sdkKey='" + this.sdkKey + '\'' + '}';
        }
    }

    public void setPullData(PullData pullData2) {
        this.pullData = pullData2;
    }
}
